精华内容
下载资源
问答
  • ubuntu完全卸载python2.7

    千次阅读 2020-05-29 16:10:20
    centos不可以卸载python2.7,因为yum依赖python2.7 此处介绍ubuntu如何卸载python2.7 1.卸载python2.7 sudo apt-get remove python2.7 2.卸载python2.7及其依赖 sudo apt-get remove --auto-remove python2.7 3....

    centos不可以卸载python2.7,因为yum依赖python2.7
    此处介绍ubuntu如何卸载python2.7

    1.卸载python2.7

    sudo apt-get remove python2.7
    

    2.卸载python2.7及其依赖

    sudo apt-get remove --auto-remove python2.7
    

    3.清除python2.7的一些配置文件

    sudo apt-get purge python2.7 
    sudo apt-get purge --auto-remove python2.7
    
    展开全文
  • 在 Ubuntu 下卸载 Python2.7 1. 卸载 python2.7 及相关依赖 sudo apt-get remove python2.7 sudo apt-get remove --auto-remove python2.7 2. 删除掉 python2.7 sudo apt-get purge python2.7 或者 sudo apt-get ...

    1. 卸载 python2.7 及相关依赖

    sudo apt-get remove python2.7
    sudo apt-get remove --auto-remove python2.7
    

    2. 删除掉 python2.7

    sudo apt-get purge python2.7 
    

    或者

    sudo apt-get purge --auto-remove python2.7
    

    当然,为避免系统发生意外情况(崩溃~~),最好还是不要卸载…

    展开全文
  • centOS7-下载,安装、卸载python2.7

    千次阅读 2019-03-20 14:41:32
    centos系统安装和卸载Python2.7 centos下快速安装安装python2.7和第三方库 一、安装python2.7 1.安装依赖环境 # yum -y install zlib-devel bzip2-devel openssl-devel ncurses-devel sqlite-devel readline-...

    centos系统安装和卸载Python2.7

    centos下快速安装安装python2.7和第三方库

    一、安装python2.7

    1.安装依赖环境

    # yum -y install zlib-devel bzip2-devel openssl-devel ncurses-devel sqlite-devel readline-devel tk-devel gdbm-devel db4-devel libpcap-devel xz-devel

    2.下载Python2.7

    ftp下载地址
      https://www.python.org/ftp/python/

    # wget https://www.python.org/ftp/python/2.7.15/Python-2.7.15.tar.xz
    

    3.安装python27

    我个人习惯安装在/usr/local/python27(具体安装位置看个人喜好)
      创建目录:

    [root@localhost home]# mkdir -p /usr/local/python27
    

    解压下载好的Python-2.x.x.tgz包(具体包名因你下载的Python具体版本不不同⽽而不不同,如:我下载的是Python2.7.15.那我这里就是Python-2.7.15.tgz)

    [root@localhost home]# tar -zxvf Python-2.7.15.tgz
    

    4.进入解压后的目录,编译安装。

    [root@localhost home]#  cd Python-2.7.15
    [root@localhost python27]#  ./configure --prefix=/usr/local/python27
    

    如果上面2选项的命令报错:configure: error: no acceptable C compiler found in $PATH
    解决办法如下:

       安装gcc
    [root@localhost yum.repos.d]# yum install gcc
    

    make

    [root@localhost python27]#  make
    

    make install

    [root@localhost python27]# make install    或者 make && make install
    

    5.建立python27的软链

    先把系统默认的旧版 Python 重命名。
      mv /usr/bin/python /usr/bin/python.old  
    
    再删除系统默认的 python-config 软链接。
      rm -f /usr/bin/python-config  
    
    最后创建新版本的 Python 软链接。
      ln -s /usr/local/bin/python /usr/bin/python  
      ln -s /usr/local/bin/python-config /usr/bin/python-config  
      ln -s /usr/local/include/python2.7/ /usr/include/python2.7 
    

    6.并将/usr/local/python27/bin加入PATH

    # vim ~/.bash_profile
    # .bash_profile
    # Get the aliases and functions
    if [ -f ~/.bashrc ]; then
    . ~/.bashrc
    fi
    # User specific environment and startup programs
    PATH=$PATH:$HOME/bin:/usr/local/python27/bin
    export PATH
    

    按ESC,输入:wq回车退出。
      修改完记得执行行下面的命令,让上一步的修改生效:

    [root@localhost python27]#  source ~/.bash_profile
    

    检查Python2.7是否正常可用:

    [root@localhost python27]#  python -V
    	Python 2.7.15
    

    二、安装pip以及setuptools

    毕竟丰富的第三方库是python的优势所在,为了更加方便的安装第三方库,使用pip命令,我们需要进行相应的安装。

    1、安装pip前需要前置安装setuptools

    命令如下:

    wget --no-check-certificate  https://pypi.python.org/packages/source/s/setuptools/setuptools-19.6.tar.gz#md5=c607dd118eae682c44ed146367a17e26
    tar -zxvf setuptools-19.6.tar.gz
    cd setuptools-19.6
    python2 setup.py build
    python2 setup.py install
    

    上面的方式不行,可以在https://pypi.org/project/pip/ 上下载setuptools 包,传到linux上,通过:python setup.py install 命令安装

    2、安装pip

    命令如下:

    wget --no-check-certificate  https://pypi.python.org/packages/source/p/pip/pip-8.0.2.tar.gz#md5=3a73c4188f8dbad6a1e6f6d44d117eeb
    tar -zxvf pip-8.0.2.tar.gz
    cd pip-8.0.2
    python2 setup.py build
    python2 setup.py install
    
    

    上面的方式不行,可以在https://pypi.org/project/pip/ 上下载pip 包,传到linux上,通过:python setup.py install 命令安装

    三、安装robotframework

    1.安装robotframework-2.9

    可以在https://pypi.org/project/pip/ 上下载robotframework-2.9包,传到linux上,通过:python setup.py install 命令安装
    注意:最新版本的robotframework有很大改动,请安装2.9版本,安装完成后,检测是否安装成功,如:可以检测pybot 和bebot

    [root@localhost python27]# pybot --version
    Robot Framework 2.9 (Python 2.7.15 on linux2)
    [root@localhost python27]# 
    [root@localhost python27]# rebot --version
    Rebot 2.9 (Python 2.7.15 on linux2)
    [root@localhost python27]# 
    [root@localhost python27]#
    

    四、安装其他安装包

    比如:requests,idna-2.7,chardet-3.0.4,certifi-2018.8.13,argh-0.26.2,configparser-3.5.0,urllib3-1.23等jar包

    五、centos 卸载python和yum

    注:这里只是提供一个卸载的方式

    1.卸载yum安裝的python方式(yum安裝的python都是安裝的rpm包,所以用到的是rpm的命名方式卸载)

    rpm -qa|grep python|xargs rpm -e --allmatches --nodeps
    
    whereis python|xargs rm -fr
    

    2.卸载yum方式(这里只是提供一个卸载yum的方式,按照实际情况操作)

    rpm -qa|grep yum|xargs rpm -e --allmatches --nodeps
    
    rm -rf /etc/yum.repos.d/*
    
    whereis python|xargs rm -fr
    

    @ 注:卸载通过下面的方式安装的python,只需要将对应的安装路径和配置删除即可

    展开全文
  • CentOS7.2.1511卸载并重新安装python2.7及yum

    千次阅读 多人点赞 2018-06-16 12:54:39
    本来想在服务器CentOS7上升级python2.7至python3.5结果误删了yum,导致yum死活用不了。尝试一波方案,结果都没有解决,只能卸载并重新安装python和yum。1.卸载python:#rpm -qa|grep python|xargs rpm -e --all...

    本来想在服务器CentOS7上升级python2.7至python3.5结果误删了yum,导致yum死活用不了。尝试一波方案,结果都没有解决,只能卸载并重新安装python和yum。


    1.卸载python:

    #rpm -qa|grep python|xargs rpm -e --allmatches --nodeps
    
    #whereis python|xargs rm -fr

    2.卸载yum:

    #rpm -qa|grep yum|xargs rpm -e --allmatches --nodeps
    
    #rm -rf /etc/yum.repos.d/*
    
    #whereis yum|xargs rm -fr


    3.创建目录python和yum用以存放rpm包:

    #mkdir /usr/local/src/python
    
    #mkdir /usr/local/src/yum

    4.使用wget分别下载python以及yum的rpm包(注意:一定要和系统的版本号对应)

        (1)下载python的rpm包:

    #cd /usr/local/src/python        进入目录
    
    #wget http://vault.centos.org/7.2.1511/os/x86_64/Packages/python-2.7.5-34.el7.x86_64.rpm
    #wget http://vault.centos.org/7.2.1511/os/x86_64/Packages/python-iniparse-0.4-9.el7.noarch.rpm
    #wget http://vault.centos.org/7.2.1511/os/x86_64/Packages/python-pycurl-7.19.0-17.el7.x86_64.rpm
    #wget http://vault.centos.org/7.2.1511/os/x86_64/Packages/python-devel-2.7.5-34.el7.x86_64.rpm
    #wget http://vault.centos.org/7.2.1511/os/x86_64/Packages/python-libs-2.7.5-34.el7.x86_64.rpm
    #wget http://vault.centos.org/7.2.1511/os/x86_64/Packages/python-urlgrabber-3.10-7.el7.noarch.rpm
    #wget http://vault.centos.org/7.2.1511/os/x86_64/Packages/rpm-python-4.11.3-17.el7.x86_64.rpm

        (2)下载yum的rpm包:

    #cd /usr/local/src/yum        
    
    #wget http://vault.centos.org/7.2.1511/os/x86_64/Packages/yum-3.4.3-132.el7.centos.0.1.noarch.rpm
    #wget http://vault.centos.org/7.2.1511/os/x86_64/Packages/yum-metadata-parser-1.1.4-10.el7.x86_64.rpm
    #wget http://vault.centos.org/7.2.1511/os/x86_64/Packages/yum-plugin-fastestmirror-1.1.31-34.el7.noarch.rpm
    

    5.安装python以及yum的rpm包

        (1)安装python:

    #cd /usr/local/src/python 
    
    #rpm -ivh python-*   rpm-python-* 

               出现安装包的依赖问题,此时如下解决即可:

    #rpm -ivh python-*   rpm-python-* --nodeps --force

                --nodeps --force为不考虑依赖包,强制安装。

                安装完后即可运行python:


        (2)安装yum:

    #cd /usr/local/src/yum 
    
    #rpm -ivh yum-* 
            至此yum重新安装成功!










    展开全文
  • 删除centos7中自带有python2.7 (1)强制删除已安装python及其关联 rpm -qa|grep python|xargs rpm -ev --allmatches --nodeps (2)删除残余文件 whereis python|xargs rm -frv Linux系统上安装Python3.7 ...
  • LinuxPython2.7、pip的安装详解

    千次阅读 2017-06-30 09:51:45
    LinuxPython2.7、pip的安装详解
  • 1. 删除现有Python ## 强制删除已安装python程序及其关联程序 rpm -qa|grep python|xargs rpm -ev --allmatches --nodeps ## 删除所有残余文件 xargs:允许你对输出执行其他某些命令 whereis python |xargs rm -...
  • 原文有地方错误,见红色地方为改正后的命令 ...安装python2.7需要与centos内核版本保持一致,否则会出现冲突 1、查看centos内核版本 [root@067mqtt2]# cat /etc/redhat-release cat /etc/redhat-rel...
  • 升级centos7自带的Python2.7到Python3.8 Python是和centos以及Redhat系列高度集成的一个编程环境,但fedora(通常centos和redhat都属fedora系列,不是包含关系哦,这是题外话,不扯了。)centos7和Redhat7自带的...
  • 目录1 卸载自带Python2.7.51.1 卸载自动Python1.2 删除残余文件1.3 验证删除2 安装Python3.9.02.1 下载Python3.9.02.2 上传、解压安装包2.3 生成编译脚本2.4 编译2.5 安装2.6 建立Python和pip3的软链3 环境变量设置...
  • 误删linux系统自带的python2.7恢复办法

    千次阅读 2019-11-28 10:36:39
    由于python2.7已经删了,所以直接删干净 rpm -qa|grep python|xargs rpm -ev --allmatches --nodeps 查看是否删干净了 whereis python|xargs rm -frv 删干净了之后即可往下执行 我的系统是7.6的,你只需要在...
  • 卸载python3 参考 https : / / my . oschina . net / yysue / blog / 1676411 ? spm = a2c6h . 13066369.0 .0 .5f db6db1qKUGFp https : / / blog . csdn . net / qq_34244910 / article / details / 100146227 ...
  • linux安装Python3.8环境,卸载python

    千次阅读 2020-03-29 15:15:38
    linux虚拟机连接网络),并且搭建网络yum源。 cd /etc/yum.repos.d/ rm -rf * wget http://mirrors.163.com/.help/CentOS7-Base-163.repo yum clean all yum makecache 安装环境 yum install gcc patch libff...
  • ②Python3系列和Python2系列版本不向下兼容,所以我就卸载了机器自带的Python2.7,删的干干净净. ③然后我下载了Python3.8的包. ④我开始使用yum命令安装Python3.8的相关依赖. ⑤结果是发现yum不可用了,如下报错信息 ...
  • Linuxpython2.7安装pip

    万次阅读 2016-01-20 11:16:20
    首先下载并安装setuptools:wget --no-check-...sudo python ez_setup.py --insecure再到python官网下载pip安装包,解压到某个位置,我这里下载的是8.0.0版本,然后就可以安装了:cd pip-8.0.0 sudo python setup.p
  • CentOS 中默认安装了 2.7Python,为了使用新版 python,可以对旧版本进行升级。但是由于很多基本的命令、软件包都依赖旧版本,比如:yum等。所以,在更新 Python 时,建议不要删除旧版本(新旧版本可以共存)。 1...
  • Ubuntu卸载python(慎重)

    万次阅读 多人点赞 2019-10-24 19:23:20
    Ubuntu卸载python(慎重) 看到这篇博客你还有机会收手 Ubuntu系统下不要轻易卸载系统自带的python(2.7、3.5),因为Ubuntu依赖python环境。 惨痛经历: 卸载python3.5(作死) sudo apt-get remove python3.5 #...
  • linux卸载自带的python,安装新版python

    千次阅读 2019-04-13 19:35:27
    一、卸载自带python1.rpm -qa | grep python | xargs rpm -e --allmatches --nodeps //强制卸载自带的python以及相关联的程序2.whereis python | xargs rm -rf //删除所有与python相关的残余文件 二、安装新版本...
  • centos7误删除python2.7后导致yum不可用: 问题截图 解决方法: 1、在opt目录下创建site_package/python3递归目录,然后下载以下RPM包,并存入/opt/site_package/python3目录中 ...
  • 网上给出的方法都是修改/usr/bin/yum文件的头部,把/usr/bin/python修改为/usr/bin/python2.x就可以了,但我的情况是我把旧的python已经卸载了,于是尝试重新安装2.7版本的python python版本下载地址:...
  • 由于Centos7的linux系统有很多软件命令依赖于系统自带的python2,比如yum,卸载python2会造成yum不可用,所以没有必须卸载python2, 可以通过软链接的方式安装python3, 再说 现在还有不少的python的第三库没有支持...
  • python2.7安装setuptools和pip及卸载

    万次阅读 2017-08-06 12:49:29
    准备工作:已安装Python并配置好环境变量,可参考  http://blog.csdn.net/donggege214/article/details/52062855 安装setuptools 下载setuptools源码setuptools-25.2.0.tar.gz 地址:...
  • Mac下python2.7 升级到3.7

    2019-01-13 18:32:00
    博客 学院 下载 图文课 论坛 APP 问答 商城 VIP会员 活动 招聘 ITeye GitChat ...Mac下升级python2.7到python3.6 2017年04月03日 22:17:28XianMing的博客阅读数:56773...
  • 树莓派删除Python2.7 默认Python3.7

    万次阅读 2019-07-05 08:28:48
    树莓派自带python2和3版本,...所以删除python2.7,输入: sudo apt-get autoremove python2.7 卸载完后,我们发现想用python3的时候,还得敲python3 想敲python直接出来python3的话,那么先把python链接删掉:...
  • Linuxpython卸载与安装

    万次阅读 2020-01-19 10:51:25
    1、卸载python3.5 sudo apt-get remove python3.5 2、卸载python3.5及其依赖 sudo apt-get remove --auto-remove python3.5 3、清除python3.5 sudo apt-get purge python3.5 or sudo apt-get purge --auto-remove ...
  • Linux系统是是内置python程序,因为许多Linux内置文件都是使用python来编写的,比如说yum。 1.脚本安装 推荐安装方式 通过脚本的方式可以保证都能够安装到最新版本的pip,同时操作简单。 curl ...
  • 卸载python3.6:sudo apt-get remove python3.6 sudo apt-get remove python3卸载过程一路Yes 最后卸载掉了桌面相关的依赖,导致重启后桌面除了壁纸以外无内容显示修复: ctrl+alt+F1进入console sudo apt-get ...
  • 一:安装Python 1.python 下载: Python3:wget https://www.python.org/ftp/python/3.5.0/Python-3.5.0.tar.xz Python2:https://www.python.org/ftp/python/2.7.10/Python-2.7.10.tgz 2.解压安装包并安装 ...
  • python2.7离线安装requests

    千次阅读 2020-12-03 16:57:47
    业务背景:线上是离线环境,需要用python调用接口,对比了几个库发现requests库是比较好的 我的requests库的版本是2.25.0,安装这个库需要以下几个版本的依赖库 certifi-2020.11.8.tar.gz chardet-3.0.4.tar.gz idna...

空空如也

空空如也

1 2 3 4 5 ... 20
收藏数 6,550
精华内容 2,620
关键字:

linux卸载python2.7

python 订阅
linux 订阅